Find the answer to your Linux question:
Results 1 to 4 of 4
I added the printer Canon PRIXMA MP287 via System Settings/Printers/Add. The system sees the printer connected via USB and suggests the following 3 drivers: Canon PRIXMA MP280 CUPS+Gutenprint (OpenPrinting ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Jun 2014
    Posts
    5

    Printer configuration error Canon PRIXMA MP287 (Linux Mint 16)


    I added the printer Canon PRIXMA MP287 via System Settings/Printers/Add. The system sees the printer connected via USB and suggests the following 3 drivers:

    Canon PRIXMA MP280 CUPS+Gutenprint (OpenPrinting LSB 3.2) v5.2.7 Simplified (en) (recommended)
    Canon PRIXMA MP280 CUPS+Gutenprint (OpenPrinting LSB 3.2) (OpenPrinting LSB 3.2) v5.2.7 Simplified (en) (en)
    Canon PRIXMA MP280 CUPS+Gutenprint v5.2.9 (en)


    I tried all three options. After installation the printer is added but when I try to print a page the following error occurs:

    Printer configuration error
    There is a missing print filter for printer 'Canon-MP280-series'

    but the printer doesn't print anything.
    Strangely enough, afterwards the system tells me:

    Printing completed "Test Page" on Canon-MP280-series

    I downloaded the cannon driver 'cnijfilter-mp280series-3.40-1-deb.tar.gz'. The 'install.sh' executable file doesn't seem to run, not even in the terminal.

    Of course I tested the printer with a different computer under windows and it works just fine.

    Any suggestion to fix the issue is highly appreciated.

  2. #2
    Just Joined!
    Join Date
    Jun 2014
    Posts
    5
    By the way, scanning works just fine.

  3. #3
    Just Joined!
    Join Date
    Jun 2009
    Posts
    30
    I downloaded the cannon driver 'cnijfilter-mp280series-3.40-1-deb.tar.gz'. The 'install.sh' executable file doesn't seem to run, not even in the terminal.
    It would have been useful for you to show us how you tried to execute it in the terminal. Did you execute it with root privileges?

    From the directory it is located in, this will execute it
    Code:
    sudo ./install.sh
    In any case , it is not actually necessary to use the install script. You can simply install the .deb files with the package manager (which will handle any dependencies encountered as well). First 'cnijfilter-common_3.40', then 'cnijfilter-mp280series_3.40'. Once those packages are installed, you can proceed with configuring the printer.

  4. #4
    Linux Engineer
    Join Date
    Dec 2013
    Posts
    1,305
    I had nothing but problems with a Canon Pixma (760?) using guttenburg or straight cups. I was able to print something with cups but it never was right. Best of luck with it but Canon has done nothing to support Linux.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •